Read all subnet info from DHCP server (including name and DNS)
Description

Because dhcp server configuration would probably be managed by a recipe, Foreman should read DNS info and name automatically

from (for example) a comment with a keyword or something like that.

As a suggestion, similar to what puppet does now with CRON.

Another suggestion: we could use this to tell foreman what it should import (for example: no name, no import...)

Related issues:

Related to Foreman - Feature #1209: Show subnet name in the HOST editing screen Closed 10/04/2011

Related to Foreman - Feature #1201: Import Subnets from DHCP server Closed 10/02/2011

History

#1 - 10/03/2011 04:49 AM - Ohad Levy

- Project changed from Foreman to Smart Proxy

- Category changed from DHCP to DHCP

- Target version deleted (0.4)

#2 - 10/04/2011 09:13 AM - Marcello de Sousa

Ranges and VLAN IDS should probably be read as well.

#3 - 12/21/2011 03:53 AM - Ohad Levy

Its been a while, :) could you provide some examples?

do you mean something like

option domain-name-servers    

#4 - 01/15/2012 09:52 AM - Ohad Levy

- Difficulty set to medium

#5 - 02/29/2016 07:30 AM - Greg Sutcliffe

- Description updated

- Status changed from New to Resolved

Without the examples requested some time ago, it's hard to make progress on this. As such, I'm going to close it, but do re-open with the examples if

the feature is still wanted.
